Index: /branches/gui/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10065)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.cc	(revision 10066)
@@ -38,4 +38,5 @@
 #include "menu/glgui_imagebutton.h"
 #include "glgui_text.h"
+#include <glgui_image.h>
 
 
@@ -49,4 +50,5 @@
 CREATE_FACTORY(QuestGUI);
 SHELL_COMMAND(gui, QuestGUI, guiInit);
+//SHELL_COMMAND(cancel, QuestGUI, guiDestruct); 
 
 
@@ -56,6 +58,4 @@
 
   this->toList(OM_GROUP_00);
-  
-  this->mainMenuBox = NULL;
   
   this->questBox = NULL;
@@ -81,5 +81,5 @@
 
 /**
- * loads the xml tags
+ * loads the xml tagsthis->questDescription
  * @param root: root xml tag for this element
  */
@@ -92,4 +92,9 @@
    LoadParam(root, "quest-description", this, QuestGUI, setQuestDescription)
        .describe("sets the description of a quest");
+   LoadParam(root, "quest-picture", this, QuestGUI, setQuestPicture)
+       .describe("sets the picture of a quest");
+   LoadParam(root, "quest-outline", this, QuestGUI, setQuestOutline)
+       .describe("sets the outline of a quiest");
+   
 }
 
@@ -100,31 +105,28 @@
 void QuestGUI::guiInit()
 {  
-  if (mainMenuBox == NULL)
+  if (questBox == NULL)
   {
-    this->mainMenuBox = new OrxGui::GLGuiBox();
-    {
-      OrxGui::GLGuiButton* startButton = new OrxGui::GLGuiPushButton("Quests");
-      startButton->released.connect(this, &QuestGUI::showQuest);
-      this->mainMenuBox->pack(startButton);
-      startButton->select();
-
-      OrxGui::GLGuiButton* networkButton = new OrxGui::GLGuiPushButton("Bla Bla");
-      //networkButton->released.connect(this, &QuestGUI::showMultiPlayer);
-      this->mainMenuBox->pack(networkButton);
-
-      OrxGui::GLGuiButton* optionsButton = new OrxGui::GLGuiPushButton("Blobb");
-      //optionsButton->released.connect(this, &QuestGUI::showOptionsMenu);
-      this->mainMenuBox->pack(optionsButton);
-
-
-      OrxGui::GLGuiButton* quitButton = new OrxGui::GLGuiPushButton("Quit Menu");
-      this->mainMenuBox->pack(quitButton);
-      quitButton->released.connect(this, &QuestGUI::quitMenu);
-    }
-  
-    this->mainMenuBox->showAll();
-
-    this->mainMenuBox->setRelCoor2D(200, 100);  
-  
+    this->questBox= new OrxGui::GLGuiBox();
+    
+    OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
+    //labelBox->setWidgetSize(100, 200);
+    
+    OrxGui::GLGuiText* questTxt = new OrxGui::GLGuiText();
+    questTxt->setText(this->questDescription);
+    labelBox->pack(questTxt);
+    
+    OrxGui::GLGuiImage* image = new OrxGui::GLGuiImage();
+    image->setWidgetSize(100, 100);
+    image->loadImageFromFile(questPicture);
+    image->show();
+    
+    this->questBox->setAbsCoor2D(300, 40);
+    labelBox->setRelCoor2D(300, 300);
+    image->setRelCoor2D(0, 0);
+    
+    this->questBox->pack(image);
+    this->questBox->pack(labelBox);
+    this->questBox->showAll();
+    
     OrxGui::GLGuiHandler::getInstance()->activate();
     OrxGui::GLGuiHandler::getInstance()->activateCursor();
@@ -134,53 +136,8 @@
     OrxGui::GLGuiHandler::getInstance()->deactivate();
     OrxGui::GLGuiHandler::getInstance()->deactivateCursor();
-    delete this->mainMenuBox;
-    this->mainMenuBox = NULL;
+    delete this->questBox;
+    this->questBox = NULL;
   }
   
-}
-
-void QuestGUI::showQuest()
-{
-  if (this->questBox== NULL)
-  {
-    this->questBox= new OrxGui::GLGuiBox(OrxGui::Horizontal);
-    
-    OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox();
-    
-    OrxGui::GLGuiText* questTxt = new OrxGui::GLGuiText();
-    questTxt->setText(this->questDescription);
-    labelBox->pack(questTxt);
-
-    OrxGui::GLGuiImage* image = new OrxGui::GLGuiImage();
-    image->show();
-    image->setWidgetSize( 250, 200);
-    image->setAbsCoor2D(400, 150);
-    image->setForegroundColor(Color( 1,1,1,.6));
-    
-    this->questBox->pack(labelBox);
-    this->questBox->pack(image);
-  }
-  
-  this->showSecondLevelElement(this->questBox);
-
-}
-
-void QuestGUI::quitMenu()
-{
-  delete this->mainMenuBox;
-  this->mainMenuBox = NULL;
-}
-
-void QuestGUI::showSecondLevelElement(OrxGui::GLGuiBox* element)
-{
-  if (this->currentlyOpened != NULL && this->currentlyOpened != element)
-    this->currentlyOpened->hideAll();
-
-  element->showAll();
-  element->setRelCoor2D(200, 100);
-
-  this->currentlyOpened = element;
-
-  this->mainMenuBox->setRelCoorSoft2D(50, 100, 5);
 }
 
@@ -188,3 +145,2 @@
 
 
-
Index: /branches/gui/src/world_entities/questGUI/quest_gui.h
===================================================================
--- /branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10065)
+++ /branches/gui/src/world_entities/questGUI/quest_gui.h	(revision 10066)
@@ -23,14 +23,8 @@
    /** @param questName sets the name of this quest */
    inline void setQuestName(const std::string& questName) { this->questName = questName; }
-   inline void setQuestDescription(const std::string& questDescription) { this->questName = questDescription; }
+   inline void setQuestDescription(const std::string& questDescription) { this->questDescription = questDescription; }
+   inline void setQuestPicture(const std::string& questPicture) { this->questPicture = questPicture; }
+   inline void setQuestOutline(const std::string& questOutline) { this->questOutline = questOutline; }
    void guiInit();
-   
-   void showQuest();
-   
-   void quitMenu();
-
-
-  private:
-   void showSecondLevelElement(OrxGui::GLGuiBox* element);
 
    
@@ -38,5 +32,6 @@
     std::string             questName;
     std::string             questDescription;
-    OrxGui::GLGuiBox*       mainMenuBox;
+    std::string             questPicture;
+    std::string             questOutline;
     
     OrxGui::GLGuiBox*       questBox;
